> For the complete documentation index, see [llms.txt](https://docs.bunny.com/developer/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bunny.com/developer/api-reference/types/pricelistcharge.md).

# PriceListCharge

| Name                      | Type                                                                                | Description                                                                                              |
| ------------------------- | ----------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------- |
| accountingCode            | String                                                                              |                                                                                                          |
| avalaraAfcSaleType        | String                                                                              |                                                                                                          |
| avalaraAfcServiceType     | String                                                                              |                                                                                                          |
| avalaraAfcTransactionType | String                                                                              |                                                                                                          |
| basePrice                 | Float                                                                               | Flat price or price of first tier if tiered or volume pricing                                            |
| billingPeriod             | [BillingPeriod](/developer/api-reference/enums.md#billingperiod)                    |                                                                                                          |
| chargeType                | [ChargeType](/developer/api-reference/enums.md#chargetype)                          |                                                                                                          |
| code                      | String                                                                              |                                                                                                          |
| createdAt                 | ISO8601DateTime                                                                     |                                                                                                          |
| deprecated                | Boolean                                                                             | Whether the price list charge is deprecated                                                              |
| feature                   | [Feature](/developer/api-reference/types/feature.md)                                |                                                                                                          |
| featureAddon              | Boolean                                                                             | True if the charge is a feature add-on                                                                   |
| featureId                 | ID                                                                                  |                                                                                                          |
| financialAccount          | [FinancialAccount](/developer/api-reference/types/financialaccount.md)              |                                                                                                          |
| financialAccountId        | ID                                                                                  |                                                                                                          |
| hidePeriodsOnInvoice      | Boolean                                                                             | Controls whether to hide billing periods on invoices                                                     |
| id                        | ID                                                                                  |                                                                                                          |
| isTelecomCharge           | Boolean                                                                             |                                                                                                          |
| longName                  | String                                                                              |                                                                                                          |
| name                      | String                                                                              |                                                                                                          |
| plan                      | [Plan](/developer/api-reference/types/plan.md)                                      |                                                                                                          |
| position                  | Int                                                                                 |                                                                                                          |
| price                     | BigDecimal                                                                          |                                                                                                          |
| priceDecimals             | Int                                                                                 |                                                                                                          |
| priceDescription          | String                                                                              | One-line summary of pricing before discounts                                                             |
| priceList                 | [PriceList](/developer/api-reference/types/pricelist.md)                            |                                                                                                          |
| priceListChargeTiers      | List ([PriceListChargeTier](/developer/api-reference/types/pricelistchargetier.md)) |                                                                                                          |
| priceListId               | ID                                                                                  |                                                                                                          |
| pricingModel              | [PricingModel](/developer/api-reference/enums.md#pricingmodel)                      |                                                                                                          |
| product                   | [Product](/developer/api-reference/types/product.md)                                |                                                                                                          |
| productId                 | ID                                                                                  |                                                                                                          |
| quantityMax               | Int                                                                                 |                                                                                                          |
| quantityMin               | Int                                                                                 |                                                                                                          |
| recognitionPeriod         | Int                                                                                 |                                                                                                          |
| removeOnRenewal           | Boolean                                                                             | Whether the price list charge should be removed on renewal once it has been deprecated                   |
| roundUpInterval           | Int                                                                                 |                                                                                                          |
| selfServiceQuantity       | Boolean                                                                             |                                                                                                          |
| showPriceAsMonthly        | Boolean                                                                             |                                                                                                          |
| specificInvoiceLineText   | String                                                                              |                                                                                                          |
| taxCode                   | String                                                                              |                                                                                                          |
| updatedAt                 | ISO8601DateTime                                                                     |                                                                                                          |
| usageCalculationType      | [UsageCalculation](/developer/api-reference/enums.md#usagecalculation)              | Describes how usage should be aggregated during a billing period. Must be one of sum, max, last, average |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bunny.com/developer/api-reference/types/pricelistcharge.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
